var serialport = require('serialport');
var keypadPort;

// Process the keypad interface
exports.ProcessKeypad = function (logger) {
    logger.info('ProcessKeypad: Entry')
    keypadPort = new serialport.SerialPort('/dev/ttyUSB0', {
        baudrate: 115200
        //parser: serialport.parsers.readline('\r\n')
    });
    
    keypadPort.on('data', function (line) {
        try {
            logger.info("ProcessKeypad: Line Data=" + line);
        }
       	catch (error) {
            logger.error('ProcessKeypad: Line ERROR=' + JSON.stringify(error));
        }
    });
};




